Subject: [bug#50588] [PATCH] import: cabal: Treat identifier names correctly.

From: zimoun <[email-masked]>
Date: Wed, 15 Sep 2021 09:55:57 +0200

Hi,

On Tue, 14 Sept 2021 at 20:43, Xinglu Chen <[email-masked]> wrote:

> * guix/import/cabal.scm (is-id): Accept the location as an argument.  Don’t
> check if the identifier name is a reserved keyword unless it is the first word
> on the line.
> (lex-word): Adjust accordingly.
> * tests/hackage ("hackage->guix-package tests flag executable"): Expect it to
> pass.
>
> Fixes: <https://issues.guix.gnu.org/25138>

Oh awesome!  Thanks!  Yesterday, I was reviewing old bugs and dig the
cabal parser was too intimidating. :-)

Cheers,
simon